Last Comment Bug 332221 - undefined @step should be "1" for xsd:integer
: undefined @step should be "1" for xsd:integer
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/
Depends on:
Blocks: 339660
  Show dependency treegraph
 
Reported: 2006-03-30 04:35 PST by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (4.06 KB, patch)
2006-05-29 09:35 PDT, Allan Beaufour
doronr: review+
bugs: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2006-03-30 04:35:04 PST
If the range is bound to xsd:integer and no step-size is given, it should be set to "1" to avoid floats. There is also a bug in that it sets it to float during incremental iirc.
Comment 1 Allan Beaufour 2006-05-29 09:35:17 PDT
Created attachment 223701 [details] [diff] [review]
Patch

Sets step size to 1 if bound to an xsd:integer. Also adjusts the values to the step size, if the range is incremental.

The patch is really "bad" in the sense that it specifically checks for xsd:integer.... we need a schemavalidator.isDerivedFrom(type, "xsd:integer") function. Or do we have that already?
Comment 2 Doron Rosenberg (IBM) 2006-05-29 14:39:26 PDT
Comment on attachment 223701 [details] [diff] [review]
Patch

From what I understand, Aaron was working on an "isDerivedFrom" that would live in XForms, we should know more once he comes back next week.
Comment 3 Allan Beaufour 2006-05-30 01:42:42 PDT
(In reply to comment #2)
> (From update of attachment 223701 [details] [diff] [review] [edit])
> From what I understand, Aaron was working on an "isDerivedFrom" that would live
> in XForms, we should know more once he comes back next week.

Ok, I'll file a follow up bug (and assign it to him :-) )
Comment 4 Allan Beaufour 2006-05-30 02:30:39 PDT
Fixed on trunk.

Note You need to log in before you can comment on or make changes to this bug.